<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree"/>
    <x:script src='/biz/topsun/sap/purchaseInfoRecord/addPurchaseInfoRecordDetail.js'/>
</head>
<body>
<form class="hg-form" method="post" action="" id="infoRecord">

    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:hidden name="id"/>
            <x:hidden name="rowId"/>
            <x:hidden name="isReadOnly"/>
            <x:inputC name="infnr" label="信息记录编号" labelCol="1" fieldCol="2" required="false" readonly="true"/>
            <x:hidden name="werks"/>
            <x:inputC name="werksName" required="true" label="工厂" labelCol="1" wrapper="select" fieldCol="2"/>
            <x:hidden name="ekorg"/>
            <x:inputC name="ekorgName" label="采购组织" labelCol="1" fieldCol="2" wrapper="select" required="true" />

            <x:inputC name="lifnr" label="供应商" labelCol="1" fieldCol="2" required="true"  wrapper="select"/>
            <x:inputC name="name1" label="供应商名称" labelCol="1" fieldCol="2" required="false" readonly="true"/>

            <x:inputC name="idnlf" label="供应商物料" labelCol="1" fieldCol="2"/>
            <%--<x:inputC name="nameOrg3" label="组织名称3" labelCol="1" fieldCol="2"/>
            <x:inputC name="nameOrg4" label="组织名称4" labelCol="1" fieldCol="2"/>--%>
            <x:inputC name="matnr" label="物料编码" labelCol="1" fieldCol="2" required="false"  wrapper="select"/>
            <x:inputC name="maktx" label="物料描述" labelCol="1" fieldCol="2" readonly="true"/>



            <x:selectC name="esokz" label="记录分类" labelCol="1" fieldCol="2" required="true" dictionary="esokz"/>

            <x:hidden name="ekgrp"/>
            <x:inputC name="ekgrpName" label="采购组" labelCol="1" fieldCol="2" wrapper="select" required="true" />

            <x:inputC name="netpr" label="净价" labelCol="1" fieldCol="2" required="true" mask="99999999.99"/>

            <x:hidden name="matkl"/>
            <x:inputC name="matklName" label="物料组" labelCol="1" fieldCol="2" wrapper="select" />

            <x:selectC name="waers" label="货币码" labelCol="1" fieldCol="2" required="true" dictionary="waers"/>
            <x:inputC name="peinh" label="价格单位" labelCol="1" fieldCol="2" required="true" mask="9999999"/>

            <x:hidden name="bprme"/>
            <x:inputC name="bprmeName" label="订单价格单位(采购)" labelCol="2" fieldCol="2" wrapper="select" required="true" />
            <x:inputC name="meinsName" label="基本计量单位" labelCol="1" fieldCol="1"  required="false"  readonly="true"/>
        </div>
            <div class="hg-form-row">
                <x:hidden name="meins"/>
             <x:selectC name="mwskz" label="销售/购买税代码" labelCol="2" fieldCol="1" required="true" dictionary="purchaseMwskz"/>
             <x:inputC name="norbm" label="标准采购订单数量" labelCol="2" fieldCol="1" required="true" mask="99999999.99"/>

            <x:inputC name="umren" label="单位转换分母" labelCol="1" fieldCol="2" required="true" mask="99999999.99"/>
            <x:inputC name="umrez" label="单位转换分子" labelCol="1" fieldCol="2" required="true" mask="99999999.99"/>



            <x:inputC name="datab" required="true" label="生效日期起" wrapper="date" labelCol="1" fieldCol="2"/>
            <x:inputC name="datbi" required="true" label="生效日期止" wrapper="date" labelCol="1" fieldCol="2"/>
            <x:inputC name="verkf" label="销售员" labelCol="1" fieldCol="2" required="false" />
            <x:inputC name="telf1" label="电话" labelCol="1" fieldCol="2" required="false" />


            <x:inputC name="urzlaName" label="原产国" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
            <x:hidden name="urzla"/>

            <x:inputC name="regioName" label="地区" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
            <x:hidden name="regio"/>

            <x:selectC name="loekz" label="删除标志" labelCol="1" fieldCol="2" required="false" dictionary="loekz"/>
            <x:inputC name="sortl" label="排序字段" labelCol="1" fieldCol="2" required="false" />

            <x:inputC name="minbm" label="最小采购订单数量" labelCol="2" fieldCol="1" required="true" mask="9999999.99"/>
            <x:inputC name="aplfz" label="计划交货时间(天)" labelCol="2" fieldCol="1" required="true" mask="9999999"/>

            <x:selectC name="webre" label="基于收货的发票验证" labelCol="2" fieldCol="1" required="true" dictionary="webre"/>
            <x:selectC name="stfkz" label="等级类型" labelCol="1" fieldCol="2" required="true" dictionary="stfkz"/>
            </div>
                <div class="hg-form-row">
            <x:inputC name="kstbm" label="等级数量1" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
            <x:inputC name="kstbm2" label="等级数量2" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
            <x:inputC name="kstbm3" label="等级数量3" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
            <x:inputC name="kstbm4" label="等级数量4" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
            <x:inputC name="kstbm5" label="等级数量5" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
                </div>
            <div class="hg-form-row">
                <x:inputC name="kbetr" label="等级金额1" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
                <x:inputC name="kbetr2" label="等级金额2" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
                <x:inputC name="kbetr3" label="等级金额3" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
                <x:inputC name="kbetr4" label="等级金额4" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
                <x:inputC name="kbetr5" label="等级金额5" labelCol="1" fieldCol="1" required="false" mask="9999999.99"/>
           </div>

    </div>
</form>
</body>
</html>
