package com.huigou.topsun.sap.processOutsource.domain;

import com.huigou.data.domain.model.AbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @Auther: xin.lu
 * @Date: 2024/08/02/9:52
 * @Description: 工序外协申请组件
 */
@Data
@Entity
@Table(name = "sap_process_outsource_material")
public class ProcessOutsourceMaterial extends AbstractEntity {
    @Column(name = "process_outsource_id")
    private String processOutsourceId;

    @Column(name = "material_name")
    private String materialName;

    @Column(name = "num")
    private BigDecimal num;

    @Column(name = "unit")
    private String unit;

    @Column(name = "unit_name")
    private String unitName;

    @Column(name = "delivery_method")
    private String deliveryMethod;
}
