package com.huigou.topsun.sap.permit.application;

import com.huigou.topsun.sap.fixedAssets.domain.SapRetirement;
import com.huigou.topsun.sap.fixedAssets.domain.TmpFixedRetirementData;
import com.huigou.topsun.sap.fixedAssets.domain.query.SapFixedRetirementQueryRequest;
import com.huigou.topsun.sap.permit.domain.SapPermit;
import com.huigou.topsun.sap.permit.domain.query.SapPermitQueryRequest;
import com.huigou.topsun.sap.permit.vo.SapPermitVo;

import javax.servlet.http.HttpServletResponse;
import java.io.ByteArrayOutputStream;
import java.util.List;
import java.util.Map;

/**
 * @Auther:LXH
 * @Date: 2024/03/08/16:35
 * @Description:
 */
public interface SapPermitApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/permit/permit.xml";

    String PROCESS_DEFINITION_KEY = "sapPermitProc";

    Map<String, Object> getPermitList(SapPermitQueryRequest sapPermitVo);

    SapPermit getPermitById(String id);

    void deleteByIds(List<String> ids);

   // List<TmpPermitData>  importExcelData(String batchNumber) ;

    void saveSapPermitVo(SapPermitVo sapPermitVo);

    ByteArrayOutputStream printInfo(HttpServletResponse response, String id);
}
