package com.huigou.topsun.sap.transfers.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.huigou.topsun.sap.suppliers.domain.vo.SuppliersPayVo;
import com.topsunit.query.annotations.Dictionary;
import lombok.Data;

import javax.persistence.Column;
import java.util.List;

@Data
public class SapStockTransfersVO {
    //订单类型（采购）
    @JsonProperty("BSART")
    private String bsart;

    /**
     * 供货工厂
     */
    @JsonProperty("LIFNR")
    private String lifnr;
    /*
     *采购组织
     */
    @JsonProperty("EKORG")
    private String ekorg;

    /**
     * 采购组
     */
    @JsonProperty("EKGRP")
    private String ekgrp;

    /*
     * 公司代码
     */
    @JsonProperty("BUKRS")
    private String burks;


    @JsonProperty("ITEM")
    private List<SapStockTransfersItemVO> item;
}
